Skip to main content
`Ctrl`+`K`

# DMGetStratumIS

Get the points in a label stratum

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetStratumIS(DM dm, const char name[], PetscInt value, IS *points)

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name

- value - The stratum value

## Output Parameter

- points - The stratum points, or `NULL` if the label does not exist or does not have that value

## See Also

DM Basics, `DM`, `DMLabelGetStratumIS()`, `DMGetStratumSize()`

## Level

beginner

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex56.c
src/ts/tutorials/ex52.c
src/dm/impls/plex/tutorials/ex1f90.F90
src/dm/impls/plex/tutorials/ex1.c
src/snes/tutorials/ex77.c
src/snes/tutorials/ex69.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages